## GSimpleActionGroup GSimpleActionGroup — A simple GActionGroup implementation |

## Functions

GSimpleActionGroup * | g_simple_action_group_new ()
GAction * | g_simple_action_group_lookup ()
void | g_simple_action_group_insert ()
void | g_simple_action_group_remove ()
void | g_simple_action_group_add_entries ()

## Types and Values

| GSimpleActionGroup

## Object Hierarchy

        GObject
        ╰── GSimpleActionGroup

## Implemented Interfaces

GSimpleActionGroup implements GActionGroup and GActionMap.

## Includes

    #include <gio/gio.h>

## Description

GSimpleActionGroup is a hash table filled with GAction objects, implementing the GActionGroup and GActionMap interfaces.

## Functions

### g_simple_action_group_new ()

    GSimpleActionGroup *
    g_simple_action_group_new (void);

Creates a new, empty, GSimpleActionGroup.

#### Returns

a new GSimpleActionGroup

Since 2.28

### g_simple_action_group_lookup ()

    GAction *
    g_simple_action_group_lookup (GSimpleActionGroup *simple,
                                  const gchar *action_name);

`g_simple_action_group_lookup` has been deprecated since version 2.38 and should not be used in newly-written code.

Use `g_action_map_lookup_action()`

Looks up the action with the name `action_name` in the group.

If no such action exists, returns `NULL`.

#### Parameters

simple | a GSimpleActionGroup |
action_name | the name of an action |

#### Returns

a GAction, or `NULL`.

[transfer none]

Since 2.28

### g_simple_action_group_insert ()

    void
    g_simple_action_group_insert (GSimpleActionGroup *simple,
                                  GAction *action);

`g_simple_action_group_insert` has been deprecated since version 2.38 and should not be used in newly-written code.

Use `g_action_map_add_action()`

Adds an action to the action group.

If the action group already contains an action with the same name as `action` then the old action is dropped from the group.

The action group takes its own reference on `action` .

#### Parameters

simple | a GSimpleActionGroup |
action | a GAction |

Since 2.28

### g_simple_action_group_remove ()

    void
    g_simple_action_group_remove (GSimpleActionGroup *simple,
                                  const gchar *action_name);

`g_simple_action_group_remove` has been deprecated since version 2.38 and should not be used in newly-written code.

Use `g_action_map_remove_action()`

Removes the named action from the action group.

If no action of this name is in the group then nothing happens.

#### Parameters

simple | a GSimpleActionGroup |
action_name | the name of the action |

Since 2.28

### g_simple_action_group_add_entries ()

    void
    g_simple_action_group_add_entries (GSimpleActionGroup *simple,
                                       const GActionEntry *entries,
                                       gint n_entries,
                                       gpointer user_data);

`g_simple_action_group_add_entries` has been deprecated since version 2.38 and should not be used in newly-written code.

Use `g_action_map_add_action_entries()`

A convenience function for creating multiple GSimpleAction instances and adding them to the action group.

#### Parameters

simple | a GSimpleActionGroup |
entries | a pointer to the first item in an array of GActionEntry structs. | [array length=n_entries]
n_entries | the length of `entries` , or -1 |
user_data | the user data for signal connections |

Since 2.30

## Types and Values

### GSimpleActionGroup

    typedef struct _GSimpleActionGroup GSimpleActionGroup;

The GSimpleActionGroup structure contains private data and should only be accessed using the provided API.

Since 2.28